package com.dcsoft.system.face.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 班级信息对象 face_classes
 *
 * @author dcsoft
 * @date 2023-05-22
 */
public class FaceClasses extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 班级Id */
    private Long id;

    /** 学校代码 */
    private String xxdm;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String xxmc;

    /** 班号 */
    private String bh;

    /** 班级名称 */
    @Excel(name = "班级名称")
    private String bjmc;

    /** 班级简称 */
    private String bjjc;

    /** 班级英文名称 */
    private String bjywmc;

    /** 建班年月 */
    private String jbny;

    /** 所属年级 */
    @Excel(name = "所属年级")
    private String ssnj;

    /** 班主任工号 */
    @Excel(name = "班主任工号")
    private String bzrgh;

    /** 班长学号 */
    private String bzxh;

    /** 辅导员号 */
    private String fdyh;

    /** 单位号 */
    @Excel(name = "单位号")
    private String dwh;

    /** 专业代码 */
    private String zydm;

    /** 学生类别代码 */
    private String xslbdm;

    /** 学生类别名称 */
    private String xslbmc;

    /** 培养类别代码 */
    private String pylbdm;

    /** 培养类别名称 */
    private String pylbmc;

    /** 班级计划人数 */
    private String bjjhrs;

    /** 班级类别代码 */
    private String bjlbdm;

    /** 班级类别名称 */
    @Excel(name = "班级类别名称")
    private String bjlbmc;

    /** 是否已毕业 */
    private String sfyby;

    /** 钉钉企业 ID */
    private String ddqyid;

    /** 钉钉部门 ID */
    private String ddbmid;

    /** 钉钉部门群 ID */
    private String ddbmqid;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setXxdm(String xxdm)
    {
        this.xxdm = xxdm;
    }

    public String getXxdm()
    {
        return xxdm;
    }
    public void setXxmc(String xxmc)
    {
        this.xxmc = xxmc;
    }

    public String getXxmc()
    {
        return xxmc;
    }
    public void setBh(String bh)
    {
        this.bh = bh;
    }

    public String getBh()
    {
        return bh;
    }
    public void setBjmc(String bjmc)
    {
        this.bjmc = bjmc;
    }

    public String getBjmc()
    {
        return bjmc;
    }
    public void setBjjc(String bjjc)
    {
        this.bjjc = bjjc;
    }

    public String getBjjc()
    {
        return bjjc;
    }
    public void setBjywmc(String bjywmc)
    {
        this.bjywmc = bjywmc;
    }

    public String getBjywmc()
    {
        return bjywmc;
    }
    public void setJbny(String jbny)
    {
        this.jbny = jbny;
    }

    public String getJbny()
    {
        return jbny;
    }
    public void setSsnj(String ssnj)
    {
        this.ssnj = ssnj;
    }

    public String getSsnj()
    {
        return ssnj;
    }
    public void setBzrgh(String bzrgh)
    {
        this.bzrgh = bzrgh;
    }

    public String getBzrgh()
    {
        return bzrgh;
    }
    public void setBzxh(String bzxh)
    {
        this.bzxh = bzxh;
    }

    public String getBzxh()
    {
        return bzxh;
    }
    public void setFdyh(String fdyh)
    {
        this.fdyh = fdyh;
    }

    public String getFdyh()
    {
        return fdyh;
    }
    public void setDwh(String dwh)
    {
        this.dwh = dwh;
    }

    public String getDwh()
    {
        return dwh;
    }
    public void setZydm(String zydm)
    {
        this.zydm = zydm;
    }

    public String getZydm()
    {
        return zydm;
    }
    public void setXslbdm(String xslbdm)
    {
        this.xslbdm = xslbdm;
    }

    public String getXslbdm()
    {
        return xslbdm;
    }
    public void setXslbmc(String xslbmc)
    {
        this.xslbmc = xslbmc;
    }

    public String getXslbmc()
    {
        return xslbmc;
    }
    public void setPylbdm(String pylbdm)
    {
        this.pylbdm = pylbdm;
    }

    public String getPylbdm()
    {
        return pylbdm;
    }
    public void setPylbmc(String pylbmc)
    {
        this.pylbmc = pylbmc;
    }

    public String getPylbmc()
    {
        return pylbmc;
    }
    public void setBjjhrs(String bjjhrs)
    {
        this.bjjhrs = bjjhrs;
    }

    public String getBjjhrs()
    {
        return bjjhrs;
    }
    public void setBjlbdm(String bjlbdm)
    {
        this.bjlbdm = bjlbdm;
    }

    public String getBjlbdm()
    {
        return bjlbdm;
    }
    public void setBjlbmc(String bjlbmc)
    {
        this.bjlbmc = bjlbmc;
    }

    public String getBjlbmc()
    {
        return bjlbmc;
    }
    public void setSfyby(String sfyby)
    {
        this.sfyby = sfyby;
    }

    public String getSfyby()
    {
        return sfyby;
    }
    public void setDdqyid(String ddqyid)
    {
        this.ddqyid = ddqyid;
    }

    public String getDdqyid()
    {
        return ddqyid;
    }
    public void setDdbmid(String ddbmid)
    {
        this.ddbmid = ddbmid;
    }

    public String getDdbmid()
    {
        return ddbmid;
    }
    public void setDdbmqid(String ddbmqid)
    {
        this.ddbmqid = ddbmqid;
    }

    public String getDdbmqid()
    {
        return ddbmqid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xxdm", getXxdm())
            .append("xxmc", getXxmc())
            .append("bh", getBh())
            .append("bjmc", getBjmc())
            .append("bjjc", getBjjc())
            .append("bjywmc", getBjywmc())
            .append("jbny", getJbny())
            .append("ssnj", getSsnj())
            .append("bzrgh", getBzrgh())
            .append("bzxh", getBzxh())
            .append("fdyh", getFdyh())
            .append("dwh", getDwh())
            .append("zydm", getZydm())
            .append("xslbdm", getXslbdm())
            .append("xslbmc", getXslbmc())
            .append("pylbdm", getPylbdm())
            .append("pylbmc", getPylbmc())
            .append("bjjhrs", getBjjhrs())
            .append("bjlbdm", getBjlbdm())
            .append("bjlbmc", getBjlbmc())
            .append("sfyby", getSfyby())
            .append("ddqyid", getDdqyid())
            .append("ddbmid", getDdbmid())
            .append("ddbmqid", getDdbmqid())
            .toString();
    }
}
